#
# spec file for package perl-JSON-XS
# 
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

#Distribution:   %dist
#Packager:       %packager
#Vendor:         %vendor

Name:           perl-JSON-XS
%define cpan_name %( echo %{name} | %{__sed} -e 's,perl-,,' )
Summary:        JSON serialising/deserialising, done correctly and fast
Version:        2.27
Release:        1.3
License:        Artistic
Group:          Development/Libraries/Perl
URL:            http://search.cpan.org/dist/JSON-XS/
Source:         http://search.cpan.org/CPAN/authors/id/M/ML/MLEHMANN/%{cpan_name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros perl-common-sense
Requires:  perl = %{perl_version}

%description
 %{cpan_name} module for perl

This module converts Perl data structures to JSON and vice versa. Its
primary goal is to be *correct* and its secondary goal is to be *fast*.
To reach the latter goal it was written in C.

Beginning with version 2.0 of the JSON module, when both JSON and
JSON::XS are installed, then JSON will fall back on JSON::XS (this can
be overridden) with no overhead due to emulation (by inheriting
constructor and methods). If JSON::XS is not available, it will fall
back to the compatible JSON::PP module as backend, so using JSON instead
of JSON::XS gives you a portable JSON API that can be fast when you need
and doesn`t require a C compiler when that is a problem.

As this is the n-th-something JSON module on CPAN, what was the reason
to write yet another JSON module? While it seems there are many JSON
modules, none of them correctly handle all corner cases, and in most
cases their maintainers are unresponsive, gone missing, or not listening
to bug reports for other reasons.

  Author:	Marc Lehmann <schmorp@schmorp.de>


%prep
%setup -q -n %{cpan_name}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
%{__make}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean 
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.files
%defattr(-,root,root)
%doc Changes README 

%changelog
* Wed Jan 13 2010 jw@novell.com
- 2.27  Thu Jan  7 07:35:08 CET 2010
  - support relaxed option inside the incremental parser
    (testcase provided by IKEGAMI via Makamaka).
- 2.26  Sat Oct 10 03:26:19 CEST 2009
  - big integers could become truncated (based on patch
    by Strobl Anton).
  - output format change: indent now adds a final newline, which is
    more expected and more true to the documentation.
- 2.25  Sat Aug  8 12:04:41 CEST 2009
  - the perl debugger completely breaks lvalue subs - try to work
    around the issue.
  - ignore RMAGICAL hashes w.r.t. CANONICAL.
  - try to work around a possible char signedness issue on aix.
  - require common sense.
* Sat Jul 25 2009 chris@computersalat.de
- spec mods
  * removed ^----------
  * removed ^#---------
* Sat Jun 20 2009 chris@computersalat.de
- update to 2.24
- added perl-macros
  o autogen filelist with perl_gen_filelist
- spec mods
  o added header
  o fixed deps
